package co.jp.app.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RestController;

import co.jp.app.entity.ErrorEntity;
import co.jp.app.entity.UserEntity;
import co.jp.app.service.ErraService;
import co.jp.app.service.UserService;


@CrossOrigin("http://192.168.1.50:5173")
@RestController("/api/login")
public class LoginController {

    @Autowired
    private UserService userService;

    @Autowired
    private ErraService erraService;

    @GetMapping("/status")
    public String getStatusByNameOrEmail() {
    	 String input="aaa";

        if (userByName == null && userByEmail == null) {
            return "全項目に入力してください";
        }

        // 如果有找到，就固定使用 ID 1001 去查 erraEntity
        ErrorEntity erra = erraService.getStatusById(1001);
       
        return erra.getStatus();
    }
}
